#ifndef __Properties__
#define __Properties__

#include <string>
#include <iostream>
#include <fstream>
#include <map>

class Properties
{
private:
    std::map<std::string, std::string> _props;
    const std::string _WHITESPACE = " \n\r\t\f\v";
    std::string ltrim(const std::string &s);
    std::string rtrim(const std::string &s);
    std::string trim(const std::string &);

public:
    Properties(std::string filename);
    std::string getValue(std::string key);
};

#endif